org.eclipse.rdf4j.query.algebra.evaluation.util

## Class QueryOptimizerList

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.util.QueryOptimizerList

- All Implemented Interfaces:
    QueryOptimizer

      public class QueryOptimizerList
      extends Object
      implements QueryOptimizer

  A query optimizer that contains a list of other query optimizers, which are called consecutively when the list's `optimize(TupleExpr, Dataset, BindingSet)` method is called.
  Author:
    Arjohn Kampman

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<QueryOptimizer>` | `optimizers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryOptimizerList()`
    `QueryOptimizerList(List<QueryOptimizer> optimizers)`
    `QueryOptimizerList(QueryOptimizer... optimizers)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(QueryOptimizer optimizer)`
    `void` | `optimize(TupleExpr tupleExpr, Dataset dataset, BindingSet bindings)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### optimizers

          protected List<QueryOptimizer> optimizers

  - ### Constructor Detail

    - #### QueryOptimizerList

          public QueryOptimizerList()

    - #### QueryOptimizerList

          public QueryOptimizerList(List<QueryOptimizer> optimizers)

    - #### QueryOptimizerList

          public QueryOptimizerList(QueryOptimizer... optimizers)

  - ### Method Detail

    - #### add

          public void add(QueryOptimizer optimizer)

    - #### optimize

          public void optimize(TupleExpr tupleExpr,
                               Dataset dataset,
                               BindingSet bindings)

      Specified by:
        `optimize` in interface `QueryOptimizer`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.